> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ontime.hosai.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Month calendar: per-day staffing counts

> Month calendar: per-day staffing counts



## OpenAPI

````yaml /api-reference/openapi.json get /api/rosters/month
openapi: 3.1.0
info:
  title: ontime API
  description: APIs for ontime.v2
  version: 1.0.0
servers:
  - url: https://app.ontime.hosai.app
    description: Production
security:
  - apiKey: []
paths:
  /api/rosters/month:
    get:
      tags:
        - Rosters
      summary: 'Month calendar: per-day staffing counts'
      description: 'Month calendar: per-day staffing counts'
      operationId: getApiRostersMonth
      parameters:
        - in: query
          name: month
          schema:
            type: string
            pattern: ^\d{4}-\d{2}$
          required: true
        - in: query
          name: locationId
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
        - in: query
          name: departmentId
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  month:
                    type: string
                  employeesTotal:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  days:
                    type: array
                    items:
                      type: object
                      properties:
                        date:
                          type: string
                        staffed:
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        onLeave:
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        'off':
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        holidayName:
                          anyOf:
                            - type: string
                            - type: 'null'
                        published:
                          type: boolean
                      required:
                        - date
                        - staffed
                        - onLeave
                        - 'off'
                        - holidayName
                        - published
                required:
                  - month
                  - employeesTotal
                  - days
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: ont_ API key
      description: >-
        Issue keys in Settings → API. Send them as `Authorization: Bearer ont_…`
        (an `X-Api-Key: ont_…` header is also accepted). Session-cookie routes
        are used by the OnTime web apps and are shown for completeness.

````